export const switchTheme = (themeFile: string) => {
  fetch(themeFile)
    .then((response) => response.text())
    .then((themeContent) => {
      (window as any).less.modifyVars({
        hack: `true; ${themeContent}`,
      });
    })
    .catch((error) => console.error('Failed to switch theme:', error));
};

// use: switchTheme('src/styles/theme.default.less');
